Subject: bug#48080: 28.0.50; macro-expansion failure (elpa package?)

From: Uwe Brauer <[email-masked]>
Date: Sun, 02 May 2021 11:12:48 +0200

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> When starting emacs  (compiled master 
>> "83a915d3dfafd5f3d737afe1e13b75e4dd3aef96")
>> with an init file, that just contains
>> 
>> (package-initialize)
>> 
>> I obtain
>> 
>> Eager macro-expansion failure: (wrong-number-of-arguments (3 . 4) 2)
>> Eager macro-expansion failure: (wrong-number-of-arguments (3 . 4) 2)
>> Error loading autoloads: (wrong-number-of-arguments (3 . 4) 2)
>> Eager macro-expansion failure: (wrong-number-of-arguments (3 . 4) 2)
>> Eager macro-expansion failure: (wrong-number-of-arguments (3 . 4) 2)
>> Error loading autoloads: (wrong-number-of-arguments (3 . 4) 2)

> This was also reported on emacs-devel, but the discussion there was
> long, and I'm not sure what the resolution was.

> Is this still a problem?

Yes. All remarks and advice I received did not help. I suspect it is
some package grepping I find as candidates.

archives/melpa/archive-contents: (sly-macrostep . [(20191211 1630) ((sly (1 0 0 -2 2)) (macrostep (0 9))) "fancy macro-expansion via macrostep.el" tar ((:commit . "5113e4e926cd752b1d0bcc1508b3ebad5def5fad") (:keywords "languages" "lisp" "sly") (:url . "https://github.com/capitaomorte/sly-macrostep"))])
Binary file lsp-mode-20201230.1131/lsp-protocol.elc matches
Binary file lsp-mode-20201230.1131/lsp-rust.elc matches
lsp-mode-20201230.1131/lsp-rust.el:(defcustom lsp-rust-analyzer-macro-expansion-method 'lsp-rust-analyzer-macro-expansion-default
lsp-mode-20201230.1131/lsp-rust.el:          (funcall lsp-rust-analyzer-macro-expansion-method expansion)
lsp-mode-20201230.1131/lsp-rust.el:(defun lsp-rust-analyzer-macro-expansion-default (result)
Binary file lsp-mode-20210426.905/lsp-protocol.elc matches
Binary file lsp-mode-20210426.905/lsp-rust.elc matches
lsp-mode-20210426.905/lsp-rust.el:(defcustom lsp-rust-analyzer-macro-expansion-method 'lsp-rust-analyzer-macro-expansion-default
lsp-mode-20210426.905/lsp-rust.el:      (funcall lsp-rust-analyzer-macro-expansion-method expansion)
lsp-mode-20210426.905/lsp-rust.el:(defun lsp-rust-analyzer-macro-expansion-default (result)
shadchen-20141102.1039/shadchen.el:;; which requires walking the body after macro-expansion, which may also
shadchen-20141102.1839/shadchen.el:;; which requires walking the body after macro-expansion, which may also

Lsp mode I need for swift-mode.